## ruby-fusefs 0.7.0

=== debian/changelog ===
ruby-fusefs (0.7.0-8) unstable; urgency=medium

  * Team upload.
  * d/p/fix-hello.patch: do not discard stderr output
  * d/t/control: add test restrictions
  * d/control:
    - Bump Standards-Version
    - Drop redundant Rules-Requires-Root

 -- Athos Ribeiro <athos@debian.org>  Wed, 05 Nov 2025 13:01:17 -0300

ruby-fusefs (0.7.0-7) unstable; urgency=medium

  * Team upload.

  [ Lucas Nussbaum ]
  * debian/gbp.conf: Add for DEP-14
  * debian/gbp.conf: remove trailing empty lines
  * debian/.gitattributes: remove
  * debian/salsa-ci.yml: use team-specific include

  [ Athos Ribeiro ]
  * d/p/gcc-15.patch: fix FTBFS issues with GCC-15 (Closes: #1097813)
  * d/p/fix-hello.patch: fix the hello.sh example script
  * d/p/fix-umount-path.patch: fix hardcoded umount path
  * d/t/control: add smoke test

 -- Athos Ribeiro <athos@debian.org>  Tue, 04 Nov 2025 16:24:35 -0300

ruby-fusefs (0.7.0-6) unstable; urgency=medium

  * Add patch to add missing includes. Thanks Zixing Liu (Closes: #1067066)
  * Move debian/watch to gemwatch.debian.net
  * Remove X?-Ruby-Versions fields from d/control
  * update years in d/copyright
  * Set Rules-Requires-Root to no
  * Use ${ruby:Depends}, drop explicit dependency on ruby interpreter
  * Bump Standards-Version to 4.7.0 (no changes needed)

 -- Cédric Boutillier <boutil@debian.org>  Sat, 13 Apr 2024 23:27:54 +0200

ruby-fusefs (0.7.0-5) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 01 Jul 2022 00:15:19 +0100

ruby-fusefs (0.7.0-4) unstable; urgency=medium

  * Add myself to Uploaders and copyright holders of debian/
  * debian/control:
    + remove obsolete DM-Upload-Allowed flag
    + use canonical URI in Vcs-* fields
    + Bump Standards-Version to 3..9.5 (no changes needed)
  * Build for all supported Ruby versions (Closes: #730894)
    + add debian/patches/port-to-newer-ruby.patch to port the C extensions
  * Drop transitional packages

 -- Cédric Boutillier <boutil@debian.org>  Fri, 20 Dec 2013 12:17:12 +0100

ruby-fusefs (0.7.0-3) unstable; urgency=high

  * Team upload.
  * Set urgency to high as an RC bug is fixed.
  * debian/control: build only for Ruby 1.8. (Closes: #704249)
    - mention in the description that ruby-fusefs will work only with Ruby 1.8
    - set XS-Ruby-Versions: to ruby1.8 to disable the build of the binary
      extension with Ruby 1.9
    - set ruby1.8 as a dependency instead of the ruby metapackage.

 -- Cédric Boutillier <boutil@debian.org>  Thu, 04 Apr 2013 17:33:22 +0200

ruby-fusefs (0.7.0-2) unstable; urgency=low

  * Bumped build-dependency on gem2deb to >= 0.3.0~.
  * debian/source/lintian-overrides: added overrides for the descriptions
    of transitional packages.
  * debian/patches: added DEP-3 patch header.

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 26 Jun 2012 23:23:52 +0200

ruby-fusefs (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Source packages adapted according to the new Ruby policy:
    - Build for both ruby1.8 and ruby1.9.1.
    - Migrated to pkg-ruby-extras git repos. Changed the Vcs-* fields in
      debian/control accordingly.
    - Changed the depends and recommends to follow the new Ruby
      library naming scheme.
  * debian/control:
    - Added a default DM-Upload-Allowed field set to yes.
    - Standards-Version bumped to 3.9.3; no changes required.
    - Set XS-Ruby-Versions to all.
    - Changed the build-depends for using gem2deb instead of ruby-pkg-tools.
    - Switched the maintainer with the uploaders field as per new
      convention the team is the default maintainer.
    - Added libdbus-ruby and libdbus-ruby1.8 as transitional packages.
  * debian/copyright: updated to use the Debian machine-readable copyright
    format version 1.0.
  * debian/patches: add fix-dynamic-library-load-path.patch to fix the
    load path.
  * debian/source/local-options: set "unapply-patches" to keep the source
    clean.

 -- Paul van Tilburg <paulvt@debian.org>  Mon, 23 Apr 2012 23:03:41 +0200

libfusefs-ruby (0.6.0-3) unstable; urgency=low

  [ Arnaud Cornet ]
  * Add API.txt to docs and foo.yaml in samples to test yamlfs
  (Closes: 422725).
  * Improve libfusefs-ruby1.8.examples with a wildcard.
  * Sharpen copyright of setup.rb.

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Tue, 08 May 2007 13:55:20 +0200

libfusefs-ruby (0.6.0-2) unstable; urgency=low

  [ Arnaud Cornet ]
  * Drop uploaders.mk. Add Paul to uploaders.

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Wed, 18 Apr 2007 21:49:28 +0200

libfusefs-ruby (0.6.0-1) unstable; urgency=low

  * Initial release.

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Sat, 21 Oct 2006 14:17:25 +0200
