=== debian/control ===
Source: ruby-fusefs
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Paul van Tilburg <paulvt@debian.org>,
           Cédric Boutillier <boutil@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               libfuse-dev
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-fusefs.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-fusefs
Homepage: https://github.com/duairc/fusefs

Package: ruby-fusefs
Architecture: any
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: library to easily define a filesystem in Ruby using fuse
 This library provides a simple API to define a FUSE filesystem in Ruby.
 It is *NOT* a full implementation of the FUSE API.
