=== debian/tests/control ===
Test-Command: sh hello.sh
Features: test-name=run-hello-example
Depends: @, fuse3, mount
Restrictions: isolation-machine, allow-stderr
