=== debian/watch ===
version=4
https://gemwatch.debian.net/fusefs .*/fusefs-(.*).tar.gz
